Class UmlActivityDiagram

Declaration :

- C++ : class UmlActivityDiagram : public UmlBaseActivityDiagram, public UmlActivityItem
- Java : class UmlActivityDiagram extends UmlBaseActivityDiagram implements UmlActivityItem

This class manages 'activity diagrams', notes that the class 'UmlDiagram'
is a mother class of all the diagrams, allowing to generalize their
management
You can modify it as you want (except the constructor)

Artifact : UmlActivityDiagram

Operation UmlActivityDiagram

Declaration :

- Uml : + UmlActivityDiagram(in id : item_id, in s : string) :
- C++ : public: UmlActivityDiagram(void * id, const QCString & s) : UmlBaseActivityDiagram(id, s)
- Java : public UmlActivityDiagram(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload